/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.ddmlib.internal.commands;

/**
 * The command interface specifies a string that is the command, as well as a handler for
 * the action of the command.
 */
public interface ICommand {

    /**
     * Action to perform when running the command.
     *
     * @return Error string if one occurred, otherwise null or empty.
     * @param argsString optional arguments passed to command.
     */
    CommandResult run(String argsString);
}
